aboutsummaryrefslogtreecommitdiff
path: root/src/gnunet/gnunet.rc
diff options
context:
space:
mode:
Diffstat (limited to 'src/gnunet/gnunet.rc')
-rwxr-xr-xsrc/gnunet/gnunet.rc40
1 files changed, 40 insertions, 0 deletions
diff --git a/src/gnunet/gnunet.rc b/src/gnunet/gnunet.rc
new file mode 100755
index 0000000..30ac4d2
--- /dev/null
+++ b/src/gnunet/gnunet.rc
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+GNUNETD_USER=nobody
+
+. /etc/conf.d/gnunetd
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=$(pidof -o %PPID /usr/bin/gnunet-arm)
+case "$1" in
+ start)
+ stat_busy "Starting gnunet services"
+ [ -z "$PID" ] && su -c '/usr/bin/gnunet-arm -s -c /etc/gnunetd.conf' - $GNUNETD_USER 1>/dev/null 2>/dev/null &
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon gnunetd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping gnunet services"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon gnunetd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ ;;
+esac
+exit 0